Posts
Get Post
Get a post with all its engagers and comment versions.
AuthorizationBearer <token>
In: header
Path Parameters
post_idstring
Header Parameters
x-tenant-id?string|null
Response Body
application/json
application/json
curl -X GET "https://api.obert.io/api/posts/string"{
"post": {
"id": "string",
"linkedin_url": "string",
"activity_id": "string",
"post_data": {},
"added_by_user_id": "string",
"engager_count": 0,
"high_fit_count": 0,
"discovery_source": "string",
"discovery_keyword": "string",
"signal_id": "string",
"signal_type": "string",
"signal_name": "string",
"author_lead_id": "string",
"author_account": {
"account_id": "string",
"name": "string",
"logo_url": "string",
"linkedin_url": "string",
"linkedin_username": "string",
"industry": "string",
"staff_count_range": "string",
"title": "string",
"tagline": "string",
"founded_year": 0,
"description": "string",
"location": "string"
},
"is_competitor_post": false,
"competitor_analysis": {},
"prefilter_passed": true,
"prefilter_details": {
"engagement": {
"total": 0,
"threshold": 0,
"passed": false
},
"language": {
"detected": "string",
"allowed": [],
"matched": false,
"skipped": false,
"reason": "string"
},
"content_relevance": {
"relevant": false,
"reasoning": "string"
},
"author_relevance": {
"headline": "string",
"relevant": false,
"reasoning": "string"
},
"author": {
"urn": "string",
"connections": 0,
"min_connections": 0,
"connections_ok": false,
"followers": 0,
"min_followers": 0,
"followers_ok": false,
"passed": false,
"skipped": false,
"reason": "string"
},
"location": {
"country": "string",
"full": "string",
"allowed": [],
"matched": false
}
},
"list_entries": [],
"posted_at": "2019-08-24T14:15:22Z",
"created_at": "2019-08-24T14:15:22Z",
"updated_at": "2019-08-24T14:15:22Z"
},
"engagers": [
{
"id": "string",
"lead_id": "string",
"provider_id": "string",
"engagement_type": "string",
"reaction_type": "string",
"comment_text": "string",
"name": "string",
"headline": "string",
"profile_url": "string",
"profile_picture_url": "string",
"network_distance": "string",
"current_account": {
"account_id": "string",
"name": "string",
"logo_url": "string",
"linkedin_url": "string",
"linkedin_username": "string",
"industry": "string",
"staff_count_range": "string",
"title": "string",
"tagline": "string",
"founded_year": 0,
"description": "string",
"location": "string"
},
"icp_list_id": "string",
"icp_list_name": "string",
"icp_tier": "string",
"icp_score": 0,
"icp_reasoning": "string",
"reply_score": 0,
"reply_score_reasoning": "string",
"scored_at": "2019-08-24T14:15:22Z"
}
],
"comment_agent_enabled": false,
"comment_versions": [],
"list_entries": []
}{
"detail": [
{
"loc": [
"string"
],
"msg": "string",
"type": "string",
"input": null,
"ctx": {}
}
]
}